# services/vault/configmap.yaml
apiVersion: v1
kind: ConfigMap
metadata:
  name: vault-config
  namespace: vault
data:
  local.hcl: |
    ui = true
    cluster_name = "vault-k8s"
    disable_mlock = true

    listener "tcp" {
      address         = "0.0.0.0:8200"
      cluster_address = "0.0.0.0:8201"
      tls_disable     = true
    }

    storage "raft" {
      path = "/vault/data"
    }

    api_addr     = "https://secret.bstein.dev"
    cluster_addr = "https://vault-0.vault-internal:8201"
